<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        table {
            margin: 20px auto;
        }

        td {
            width: 150px;
            height: 30px;
            border: 2px black solid;
            color: white;
        }

        #fallo {
            color: white;
        }
    </style>
</head>

<body>
    <div class="container text-center">
        <p>Introduce un nombre y si se encuentra en la tabla, se mostrara: <input type="text" id="texto"></p>
        <button id="boton">Confirmar</button>
        <table>
            <tr>
                <td>Texto 1</td>
                <td>Texto 2</td>
                <td>Texto 3</td>
                <td>Texto 4</td>
            </tr>
            <tr>
                <td>Texto 5</td>
                <td>Texto 6</td>
                <td>Texto 7</td>
                <td>Texto 8</td>
            </tr>
            <tr>
                <td>Texto 9</td>
                <td>Texto 10</td>
                <td>Texto 11</td>
                <td>Texto 12</td>
            </tr>
            <tr>
                <td>Texto 13</td>
                <td>Texto 14</td>
                <td>Texto 15</td>
                <td>Texto 16</td>
            </tr>
        </table>
        <p id="fallo">Intentalo otra vez.</p>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('#boton').click(function () {
            let texto = ($('#texto').val()).toLowerCase();
            let aciertos = 0;
            $('td').each(function () {
                if (texto == ($(this).html()).toLowerCase()) {
                    $(this).css({ "color": "black" });
                    aciertos++;
                }
                if (aciertos == 0) {
                    $('#fallo').css({ "color": "red" });
                } else {
                    $('#fallo').css({ "color": "white" });
                }
            });
        });
    </script>
</body>

</html>